Subject: Re: bug#1171: #1171 - ns-version-string - Emacs bug report logs

From: Glenn Morris <[email-masked]>
Date: Wed, 22 Oct 2008 20:48:16 -0400

Adrian Robert wrote:

> In this case it is important NOT to include the extra .# build
> number that emacs' build system generates. This, by itself, *should*
> be used for the CFBundleVersion in the Cocoa Info.plist however.

You mean in nextstep/Cocoa/Emacs.base/Contents/Info.plist, the
CFBundleVersion string that is currently hard-coded at "9.0" should be
replaced by the Emacs build number ("1", "2", ...), and so get changed
every time Emacs gets rebuilt? I don't see how you would do this.

Actually, this number doesn't even seem to exist in the nextstep port,
since it does not get dumped.